%define _disable_ld_no_undefined 1

Name:           sequencer64
Version:        0.97.1
Release:        %mkrel 2
Summary:        A minimal loop based midi sequencer
License:        GPLv2+
Group:          Sound/Midi
URL:            https://github.com/ahlstromcj/sequencer64
Source0:        https://github.com/ahlstromcj/sequencer64/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        sequencer64.svg
Source2:        sequencer64.png
Patch0:         sequencer64-missing-include.patch

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gail)
BuildRequires:  pkgconfig(portmidi)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  doxygen
BuildRequires:  graphviz
Requires:       at-spi2-core

%description
%{name} is a minimal loop based midi sequencer.
It is a major reboot of Seq24, with new features and bug fixes.

%prep
%autosetup -p1

%build
./bootstrap
%configure --enable-qt -enable-cli --enable-rtmidi
%make_build

%install
%make_install

install -p -Dm0644 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/scalable/apps/sequencer64.svg
install -p -Dm0644 %SOURCE2 %{buildroot}%{_iconsdir}/hicolor/256x256/apps/sequencer64.png
install -p -Dm0644 desktop/metainfo/seq64.appdata.xml %{buildroot}%{_metainfodir}/seq64.appdata.xml

desktop-file-install \
    --set-key=Icon --set-value="%{name}" \
    --set-key=Exec --set-value="qseq64" \
    --dir %{buildroot}%{_datadir}/applications \
    debian/%{name}.desktop

%files
%doc ChangeLog NEWS README.md README.jack TODO
%{_bindir}/qseq64
%{_bindir}/seq64cli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_includedir}/%{name}-0.97/
%{_libdir}/%{name}-0.97/
%{_datadir}/%{name}-0.97/
%{_metainfodir}/seq64.appdata.xml
%{_mandir}/man1/seq64.1*
%{_mandir}/man1/sequencer64.1*
%{_mandir}/man1/seq64cli.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.97.1-2.mga10
+ Revision: 2223030
- Mageia 10 Mass Rebuild

* Mon May 20 2024 daviddavid <daviddavid> 0.97.1-1.mga10
+ Revision: 2065386
- new version: 0.97.1
- enable cli and Qt5 support

* Mon May 20 2024 daviddavid <daviddavid> 0.90.5-5.mga10
+ Revision: 2065328
- add patch to fix missing include

* Thu Mar 31 2022 umeabot <umeabot> 0.90.5-4.mga9
+ Revision: 1836629
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.90.5-3.mga8
+ Revision: 1516912
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.90.5-2.mga7
+ Revision: 1300998
- Mageia 7 Mass Rebuild

* Wed May 24 2017 animtim <animtim> 0.90.5-1.mga6
+ Revision: 1104462
- update desktop file
- add new icon
- imported package sequencer64

